Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0029816
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 01. General setupmajoralways2015-05-07 17:312015-06-10 17:15
ReporterngarciaView Statuspublic 
Assigned Tocaristu 
PriorityhighResolutionfixedFixed in Version3.0PR15Q3
StatusclosedFix in branchFixed in SCM revision9909424c0e02
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0029816: Process Button access changed when accessing from a subtab

DescriptionProcess Button access changed when accessing from a subtab
Steps To ReproduceAs group admin role:
   Create a new role
   Set the user level to Client+Organization
   Set it as manual
   Set an organization in the Org Access tab
   Set Sales Order window in the Window Access tab:
      Editable Field: Y
   Set Header tab in the Tab Access tab:
      Editable Field: Y
   Set Copy From Order field in the Field Access tab:
      Editable Field: N
      Check On Save: N
   Set Copy Lines field in the Field Access tab:
      Editable Field: N
      Check On Save: N
   Set Openbravo in User Assignment tab
Log in with that Role:
   Create a new Sales Order window header and line
   Check the Copy Lines button appears inactive when header is selected but it changes to active when selecting a tab different from Lines
   Click on it, select a line and OK and check the process is launched when it shouldn't
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00277103.0PR15Q1 closedAugustoMauch Process Button access changed when accessing from a subtab 

-  Notes
(0078121)
caristu (developer)
2015-06-05 13:39

Fix pushed to try
(0078141)
hgbot (developer)
2015-06-08 10:53

Repository: erp/devel/pi
Changeset: 9909424c0e023890b1e7e65c91561717234c99cd
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Mon Jun 08 10:51:34 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/9909424c0e023890b1e7e65c91561717234c99cd [^]

Fixes issue 29816: Process Button access changed when accessing from a subtab
The problem was affecting only when displaying parent buttons after selecting a non focused child tab.
In this case, the WindowSettingsActionHandler is called when opening the window to get the role access for each button. Due to the lazy inizialization of the not focused tabs by default, in this moment is not possible to set the access for the right side toolbar buttons of those tabs.
Now, in the prepareFullChildView method which is executed the first time a child tab is selected, the buttons added in the toolbar for the child tab are added with the same state (readOnly) as they have in the parent tab.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/main/ob-standard-view.js
---
(0078148)
hudsonbot (developer)
2015-06-08 22:24

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/eea55936e896 [^]
Maturity status: Test
(0078190)
alostale (developer)
2015-06-10 17:15

code reviewed + tested

- Issue History
Date Modified Username Field Change
2015-05-07 17:31 ngarcia New Issue
2015-05-07 17:31 ngarcia Assigned To => Triage Finance
2015-05-07 17:31 ngarcia Modules => Core
2015-05-07 17:31 ngarcia Triggers an Emergency Pack => No
2015-05-07 17:32 ngarcia Issue Monitored: networkb
2015-05-07 17:32 ngarcia Relationship added related to 0027710
2015-05-28 15:28 ngarcia Severity minor => major
2015-05-29 13:14 aferraz Assigned To Triage Finance => platform
2015-06-04 13:52 alostale Status new => scheduled
2015-06-04 13:52 alostale Assigned To platform => caristu
2015-06-05 13:39 caristu Note Added: 0078121
2015-06-08 10:47 caristu Review Assigned To => alostale
2015-06-08 10:48 caristu Issue Monitored: alostale
2015-06-08 10:53 hgbot Checkin
2015-06-08 10:53 hgbot Note Added: 0078141
2015-06-08 10:53 hgbot Status scheduled => resolved
2015-06-08 10:53 hgbot Resolution open => fixed
2015-06-08 10:53 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/9909424c0e023890b1e7e65c91561717234c99cd [^]
2015-06-08 22:24 hudsonbot Checkin
2015-06-08 22:24 hudsonbot Note Added: 0078148
2015-06-10 17:15 alostale Note Added: 0078190
2015-06-10 17:15 alostale Status resolved => closed
2015-06-10 17:15 alostale Fixed in Version => 3.0PR15Q3


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker